
package de.ivu.elect.wus.exchange.gruppe;

public interface ExchangeGruppeDTO {

  java.lang.String getFarbeExtern();

  void setFarbeExtern(java.lang.String farbeExtern);

  java.lang.String getFarbe();

  void setFarbe(java.lang.String farbe);

  java.lang.String getName();

  void setName(java.lang.String name);

  de.ivu.elect.business.gruppe.entity.GruppeArt getGruppeArt();

  void setGruppeArt(de.ivu.elect.business.gruppe.entity.GruppeArt gruppeArt);

  java.lang.String getKurzname();

  void setKurzname(java.lang.String kurzname);

  java.lang.String getZusatzbezeichnung();

  void setZusatzbezeichnung(java.lang.String kurzname);

  java.lang.String getSchluessel();

  void setSchluessel(java.lang.String schluessel);

  java.lang.Boolean getInPraesentation();

  void setInPraesentation(java.lang.Boolean inPraesentation);

  java.lang.Boolean getMinderheit();

  void setMinderheit(java.lang.Boolean minderheit);

  String getLogoMimeType();

  void setLogoMimeType(String logoMimeType);

  String getLogoContent();

  void setLogoContent(String logoContent);

  Long getRelativePosition();

  void setRelativePosition(Long relativePosition);

  Long getVorgegebenePosition();

  void setVorgegebenePosition(Long vorgegebenePosition);

}
